const util = require("../../utils/util.js");

Component({
  properties: {
    text: {
      type: String,
      observer: function (newVal, oldVal) {
        this.setData({ text: newVal });
      }
    },
    make:{
      type: Boolean,
      observer: function (newVal, oldVal) {
        this.setData({ make: newVal });
      }
    }
  },
  data: {
    text:'',
    make: false
  },
  pageLifetimes:{
    hide(){
      this.setData({ make: false });
    }
  },
  methods: {
    navigatorTo(e) {
      util.navigator(e.currentTarget.dataset.url);
    },
    cancel() {
      this.setData({ make: false });
    },
    confirm() {
      let url="/pages/public/swiper/web?url=https://mp.weixin.qq.com/s/e20v-4tPUv52n51I9DDrGw&title=宝贝走天下服务号"
      util.navigator(url);
      this.setData({ make: false });
    }
  }
})